﻿@using SportsClub.Areas.Dashboard.Models
@model Jumbula.Core.Model.Order.OrderitemWaiversViewModel
@{
    Layout = null;
}
<style>
    .container-bordered {
        padding: 5px;
        border: 2px solid #366b9e;
    }

    .bold {
        font-weight: bold;
    }

    .title-details {
        padding: 5px 10px;
        font-family: raleway;
    }

        .title-details h3 {
            display: inline-block;
            font-size: 18px;
            color: #323a45;
            float: left;
        }

        .title-details hr {
            margin: 0px !important;
        }

        .title-details time {
            display: inline-block;
            color: #323a45;
            font-size: 18px;
            padding: 0px;
        }

    .financial-box {
        padding: 5px 10px;
    }

    .box-content-waiwer {
        border: 2px solid #ccc;
        background-color: #eee;
        MARGIN: 12px;
        height: auto;
        min-height: 100px;
        padding: 10px;
        margin-top: 40px;
        position: relative;
    }

    .text-box-waiwer {
        position: absolute;
        top: -32px;
        background-color: #ccc;
        padding: 5px 15px;
        vertical-align: middle;
        font-weight: normal;
        left: -2px;
        font-size: 18px;
    }

    .tick-box-waiwer {
        font-size: 30px;
        color: #1fc51f;
        margin-top: 10px;
        display: inline-block;
        display: inline-block;
        vertical-align: middle;
    }

    .img-box-waiwer {
        margin: 20px auto;
        display: inline-block;
    }

    .normal {
        font-weight: normal;
    }
</style>
<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
                Waiver details
            </h1>
        </div>
        <div class="clearfix"></div>
        <hr />
    </div>

    <div class="grid fluid container-bordered ">

        <div class="row">

            <div class="span12" style="overflow:hidden;">
                <div class="title-details">
                    <h3 class="bold">
                        Date: <span class="normal">{{Model.StrCreateDate}}</span>
                    </h3>
                </div>
                <div class="title-details" style="float:right;">
                    <h3 class="bold">
                        Program: <span class="normal">{{Model.ProgramName}}</span>
                    </h3>
                </div>
            </div>
        </div>

        <div class="row">
            <div class="span12">
                <div class="box-content-waiwer">
                    <span class="text-box-waiwer">
                        {{Model.Name}}
                    </span>
                    <p style="white-space: pre-line" ng-bind-html="Model.Text">{{Model.Text}}</p>
                    <div style="text-align:right;">

                        <i class="jbi-check-circle-1 tick-box-waiwer" ng-if="Model.WaiverConfirmationType == 'Agree' && Model.Agreed==true"></i>
                        <span class="bold" style="display: inline-block; padding-top: 9px;vertical-align: middle;" ng-if="Model.WaiverConfirmationType == 'Agree' && Model.Agreed==true">
                            I have agreed to this waiver
                        </span>
                        <div id="JbSignature480796241" style="display: none;"><div style="padding:0 !important;margin:0 !important;width: 100% !important; height: 0 !important;margin-top:-1em !important;margin-bottom:1em !important;"></div><canvas class="jSignature" width="480" height="120" style="margin: 0px; padding: 0px; border: none; height: 120px; width: 480px;"></canvas><div style="padding:0 !important;margin:0 !important;width: 100% !important; height: 0 !important;margin-top:-1.5em !important;margin-bottom:1.5em !important;"></div></div>
                        
                        <img id="Image_JbSignature480796241" ng-show="Model.WaiverConfirmationType == 'Signature'" ng-src="Model.Signature" ng-model="Model.Signature" class="img-box-waiwer" />
                    </div>
                </div>
            </div>
        </div>

    </div>

    <hr />
    <button type="button" class="link place-left large button" data-ng-click="cancelAction()">Back</button>
    <div class="clearfix"></div>
</div>
<script src="/Scripts/Libraries/jSignature/jSignature.min.js"></script>

